package uk.co.his.test.jaxb.model;

import java.io.PrintStream;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType( XmlAccessType.FIELD )
@XmlType
public class Child {
	@XmlElement(name="name")
	public String name;
	@XmlElement(name="Leaf")
	public Leaf leaf;
	
	public void printOut(PrintStream w) {
		w.println("\tChild " + name);
		if(leaf != null) {
			leaf.printOut(w);
		}
		else {
			w.println("\t\tNo Leaf");
		}
	}
	
}
